/*
 *    Java State Machine
 *    Copyright (C) 2001, 2002 Brian O'Byrne
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.jstatemachine.apploaders.jade;

import org.jstatemachine.StateMachineException;

/**
 * Exception class for any exceptions thrown while loading the application from XML.
 * @author  Brian O'Byrne
 */
public class XmlApplicationLoaderException extends StateMachineException {
    
    /**
     * Creates new <code>XmlApplicationLoaderException</code> without detail message.
     */
    public XmlApplicationLoaderException() {
    }
    
    
    /**
     * Constructs an <code>XmlApplicationLoaderException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public XmlApplicationLoaderException(String msg) {
        super(msg);
    }
    
    public XmlApplicationLoaderException(Exception originalException) {
        super(originalException);
    }
}


